variable "wait_on" {
  type        = any
  description = "Resources to wait on"
  default     = true
}

variable "server_ip" {
  type = string
}

variable "ssh_private_key_path" {
  type = string
}

variable "server_domain" {
  type = string
}

module "gonic" {
  source = "../quadlet-app"
  wait_on = var.wait_on

  server_ip            = var.server_ip
  ssh_private_key_path = var.ssh_private_key_path

  app_name = "gonic"
  image    = "docker.io/sentriz/gonic:latest"
  ports    = ["4747:80"]
  volumes = [
    "/opt/storage/data/gonic:/config:Z",
    "/opt/storage/media/music:/music:Z",
    "/opt/storage/media/podcasts:/podcasts:Z",
    "/opt/storage/media/playlists:/playlists:Z",
    "/opt/storage/cache/gonic:/cache:Z",
  ]

  environment = {
    TZ="Etc/UTC"
  }

  haproxy_services = [
    {
      name   = "gonic"
      domain = "gonic.${var.server_domain}"
      port   = "4747"
      host   = "127.0.0.1"
      tls    = false
    },
  ]

}

output "app_urls" {
  value = module.gonic.app_urls
}

output "installed" {
  value = true
  depends_on = [module.gonic.installed]
}
